boost::geometry::coordinate_type< Geometry > Struct Template Reference
core: meta-functions for geometry types

Metafunction defining [*type] as the coordinate type (int, float, double, etc) of the \3. More...

List of all members.

## Public Types

typedef core_dispatch::coordinate_type < typename tag< Geometry > ::type, typename geometry::util::bare_type < Geometry >::type >::type | type

## Detailed Description

### template<typename Geometry>
struct boost::geometry::coordinate_type< Geometry >

Metafunction defining [*type] as the coordinate type (int, float, double, etc) of the \3.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

## Member Typedef Documentation

template<typename Geometry>

typedef core_dispatch::coordinate_type< typename tag<Geometry>::type, typename geometry::util::bare_type<Geometry>::type >::type boost::geometry::coordinate_type< Geometry >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK